package com.wechat.model.requestDto;

public class UserInfoWithOpenidDto extends UserInfoDto{
	
	private String unionid; // 微信unionid
	private String openId; // 手机端登录
	private String openIdMini; // 微信小程序openid
	private String linkedInId; // 领英Id
	
	public void cleanInfo() {
		this.unionid = null;
		this.openId = null;
		this.openIdMini = null;
		this.linkedInId = null;
		super.setCreateDate(null);
	}
	
	public String getUnionid() {
		return unionid;
	}
	public void setUnionid(String unionid) {
		this.unionid = unionid;
	}
	public String getOpenId() {
		return openId;
	}
	public void setOpenId(String openId) {
		this.openId = openId;
	}
	public String getOpenIdMini() {
		return openIdMini;
	}
	public void setOpenIdMini(String openIdMini) {
		this.openIdMini = openIdMini;
	}
	public String getLinkedInId() {
		return linkedInId;
	}
	public void setLinkedInId(String linkedInId) {
		this.linkedInId = linkedInId;
	}

	
}
